| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Functions
Session Start Time
Continuous Glucose Monitoring Service

Continuous Glucose Monitoring Service SST module. More...

## Data Structures
struct | ble_cgms_sst_t
| Required data for setting the SST characteristic value. More...

## Functions
ret_code_t | cgms_sst_char_add (nrf_ble_cgms_t *p_cgms)
| Function for adding a characteristic for the Session Start Time. More...
ret_code_t | cgms_sst_set (nrf_ble_cgms_t *p_cgms, ble_cgms_sst_t *p_sst)
| Function for setting the Session Run Time attribute. More...
void | cgms_sst_on_rw_auth_req (nrf_ble_cgms_t *p_cgms, ble_gatts_evt_rw_authorize_request_t const *p_auth_req)
| Function for handling BLE_GATTS_EVT_RW_AUTHORIZE_REQUEST events. More...

## Detailed Description

Continuous Glucose Monitoring Service SST module.

This module implements parts of the Continuous Glucose Monitoring that relate to the Session Start Time characteristic. Events are propagated to this module from Continuous Glucose Monitoring Service using cgms_sst_on_rw_auth_req.

## Function Documentation

ret_code_t cgms_sst_char_add | ( | nrf_ble_cgms_t * | p_cgms | ) |

Function for adding a characteristic for the Session Start Time.

Parameters

  [in] | p_cgms | Instance of the CGM Service.

Return values

  NRF_SUCCESS | If the characteristic was successfully added.

Returns
  If functions from other modules return errors to this function, the SoftDevice Global Error Codes are propagated.

void cgms_sst_on_rw_auth_req | ( | nrf_ble_cgms_t * | p_cgms,
|  | ble_gatts_evt_rw_authorize_request_t const * | p_auth_req
| ) |  |

Function for handling BLE_GATTS_EVT_RW_AUTHORIZE_REQUEST events.

Parameters

  [in] | p_cgms | Instance of the CGM Service.
  [in] | p_auth_req | Authorize request event to be handled.

ret_code_t cgms_sst_set | ( | nrf_ble_cgms_t * | p_cgms,
|  | ble_cgms_sst_t * | p_sst
| ) |  |

Function for setting the Session Run Time attribute.

Parameters

  [in] | p_cgms | Instance of the CGM Service.
  [in] | p_sst | Time and date that will be displayed in the session start time attribute.

Return values

  NRF_SUCCESS | If the Session Run Time Attribute was successfully set.

Returns
  If functions from other modules return errors to this function, the SoftDevice Global Error Codes are propagated.